<?php
/**
 *   DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
 *                    Version 2, December 2004
 *
 * Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
 *
 * Everyone is permitted to copy and distribute verbatim or modified
 * copies of this license document, and changing it is allowed as long
 * as the name is changed.
 *
 *            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 *
 *   0. You just DO WHAT THE FUCK YOU WANT TO.
 *
 * Auteur : kamui57 <kamui57@mailoo.org> alias Stéphanie Pleyer <stephanie.pleyer@mailoo.org>
 * cf http://forum.ubuntu-fr.org/viewtopic.php?pid=6126221
*/

/** Version 0.1.1
 *
 *  12/09/2011
 */


  /** Fonction affichant l'entete html de la page (balises meta...)
   *
   * @param $titre         titre de la page web
   * @param $auteur        auteur de la page web
   * @param $copyright     copyright de la page web
   * @param $langue        langue de la page web ("fr" pour francais)
   * @param $description   description de la page
   * @param $mots_cles     mots cles de ma page sous la forme "mot 1, mot2,..."
   *
   */
function affiche_entete_html($titre, $auteur, $copyright, $langue, $description, $mots_cles){
  
  echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">';
  echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">';
  echo '<head>';
  echo '<title>'.$titre.'</title>';
  echo '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';

  echo '<link rel="stylesheet" media="screen" type="text/css" title="Design par défaut" href="galerie.css" />';

  echo '<link rel="icon" type="image/png" href="images/favicon.png" />';
  echo '<!--[if IE]><link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico" /><![endif]-->';

  echo '<script type="text/javascript" src="galerie.js"></script>';
  echo '<meta name="Author" content="'.$auteur.'"/>';
  echo '<meta name="Copyright" content="'.$copyright.'"/>';
  echo '<meta name="Language" content="'.$langue.'"/>';
  echo '<meta name="Description" content="'.$description.'"/>';
  echo '<meta name="Keywords" content="'.$mots_cles.'"/>';
  echo '</head>';
 
}



/** Affiche les boutons de XHTML et CSS valide
 *
 *
 */
function displayW3CButtons(){

  echo '
<p>
    <a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml11" alt="Valid XHTML 1.1" height="31" width="88" /></a>
     <a href="http://jigsaw.w3.org/css-validator/check/referer">
     <img style="border: 0 ; width:88px ; height: 31px" src="http://jigsaw.w3.org/css-validator/images/vcss" alt="CSS Valide !" />
     </a>
</p>';

}